Skip to main content
GET
/
automation
/
2026-09-beta
/
action-types
Retrieve action types
curl --request GET \
  --url https://api.hubapi.com/automation/2026-09-beta/action-types \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/automation/2026-09-beta/action-types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/automation/2026-09-beta/action-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "actionName": "<string>",
      "actionTypeId": "<string>",
      "groupId": "<string>",
      "inputFieldDefinitions": [
        {
          "fieldDefinitionType": "SIMPLE",
          "isRequired": true,
          "name": "<string>",
          "description": "<string>",
          "label": "<string>"
        }
      ],
      "objectTypeIds": [
        "<string>"
      ]
    }
  ]
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

objectTypeId
string

The unique identifier for the object type. This parameter helps filter the action types relevant to a specific object type.

Response

successful operation

results
object[]
required
Last modified on March 31, 2026